fecshop-app-advanced和yii2_fecshop项目有什么区别

问题咨询 · kongling · 于 3个月前 发布 · 181 次阅读

我看github上面app-advanced和yii2_fecshop项目有什么区别很久没更新了,yii2_fecshop更新得比较多,但是看安装说明里边说安装的是fecshop-app-advanced,有些不理解。

共收到 4 条回复
Fecmall#13个月前 0 个赞

1.如果你玩过Yii2框架,那么不需要我解释,你就知道了

2.app-advanced是外层包,作为访问入口

有web入口:譬如前台,后台,手机api,外部交互api,等等

有脚本入口,譬如console等

有公用配置入口,譬如:common入口

而 yii2_fecshop 作为代码核心包,功能都是在这里实现的

为什么这样做呢?因为作为一个产品,需要升级,产品会依赖其他的一些库包,因此就像yum一样,存在版本号依赖,因此使用composer管理库包版本的依赖,可以理解成centos的yum安装,这样就可以升级

当用户使用你的系统或者yii2框架,会进行一些重写开发,然后用户还想升级,那么就需要用户可以在不修改源码带的前提下进行功能的重写,这个就需要用到重写机制,这些重写文件一般放到外层包,外层包一般不会进行改动,而且外层包不是composer管理,升级需要手动修改文件。

3.你应该是技术脱节了(只是猜测),对composer的方式了解太少,其实composer从2013年,甚至更前就开始使用了,原始的拷贝库包的时代过去了,原始的文件拷贝不能解决版本依赖问题。

kongling#23个月前 0 个赞

只要是国内QIANG的原因,所以最近才开始使用composer,以前都是直接下载扔进去,在安装过程中,虽然使用了VPN,还是反复错误,最后干掉重复了应该是5次以上才成功。虽然这种包管理方式挺好的,我怀疑很多同学在这个使用过程中会很忧虑,不知道为什么出问题。希望后面其它同学看到我这个帖子的时候,知道composer一次不太容易成功,出现错误多重复几次,每次都会缓存一些新东西,最终会成功的。 至于这个帖子标题中的问题,后来把代码下载下来后看了一下,就知道是什么区别了,就像yii2和yii2-advance一样的。详情代码接下来要好好研究一下,希望代码应该是扩展性非常好,这样二开,定制的时候才能灵活操作。 感谢作者卓越的工作。

Fecmall#33个月前 0 个赞

@kongling #2楼

1.有百度网盘完整压缩包,直接下载就可以

2.作为一个标准的程序员,这都不是事,否则,连php流行的yii2框架都安装不了

还是那句话,作为一个开源产品,合适就用,不合适就选择其他的产品即可。

Fecmall#43个月前 0 个赞

扩展性是没问题的,最新的b2b2c版本FecMall就是在fecshop基础上,以扩展的方式开发的。

https://github.com/fecmall/yii2_fecmall_fbbcbase

添加回复 (需要登录)
需要 登录 后方可回复, 如果你还没有账号请点击这里 注册
Your Site Analytics